Skip to content
Guides
Fulfillment & ShippingFulfillment
shipment:read

Get order by tracking number

Returns the fulfillment order associated with a carrier tracking number.

GET/v1/fulfillment/orders/tracking/{trackingNumber}

Returns the fulfillment order associated with a carrier tracking number.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

trackingNumber*string

Query Parameters

shippingConnectionId*string

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/fulfillment/orders/tracking/example?shippingConnectionId=7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "orderId": "7204558912004325301",  "shipmentOriginKind": "manual",  "shippingConnectionId": "7204558912004325301",  "status": "pendingAssignment",  "shipmentId": "7204558912004325301",  "trackingNumber": "example",  "trackingLink": "example",  "labelUrl": "https://example.com/resource",  "carrierName": "Example resource"}